# $Revision: 1.45 $, $Date: 2012/03/30 19:47:47 $
Summary:	gLabels - a GNOME program to create labels and business cards
Summary(pl.UTF-8):	gLabels - program dla GNOME do tworzenia etykiet i wizytówek
Name:		glabels
Version:	3.0.0
Release:	3
License:	GPL v3
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glabels/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	823531d597a5483c30486f1b22ee07bf
Patch0:		%{name}-link.patch
URL:		http://www.glabels.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	barcode-devel >= 0.98
BuildRequires:	docbook-dtd412-xml
BuildRequires:	evolution-data-server-devel >= 3.0.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.2
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.9
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	iec16022-devel >= 0.2.4
BuildRequires:	intltool >= 0.40.0
BuildRequires:	librsvg-devel >= 2.32.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	pkgconfig
BuildRequires:	qrencode-devel >= 3.1.0
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	zint-devel >= 2.4.0
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gLabels is a small stand-alone program for creating labels and
business cards.

%description -l pl.UTF-8
gLabels jest małym, samodzielnym programem do tworzenia etykiet i
wizytówek.

%package libs
Summary:	glabels shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone glabels
License:	LGPL v3
Group:		Libraries

%description libs
glabels shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone glabels.

%package devel
Summary:	Header files for glabels
Summary(pl.UTF-8):	Pliki nagłówkowe glabels
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.2
Requires:	libxml2-devel >= 1:2.7.8
Requires:	pango-devel

%description devel
Header files for glabels.

%description devel -l pl.UTF-8
Pliki nagłówkowe glabels.

%package static
Summary:	glabels static library
Summary(pl.UTF-8):	Statyczna biblioteka glabels
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
glabels staic library.

%description static -l pl.UTF-8
Statyczna biblioteka glabels.

%package apidocs
Summary:	glabels library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki glabels
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
glabels library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki glabels.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__gnome_doc_common}
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}-3.0 --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/glabels-3
%attr(755,root,root) %{_bindir}/glabels-3-batch
%{_datadir}/glabels-3.0
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/mime/packages/glabels-3.0.xml
%{_mandir}/man1/*.1*
%{_desktopdir}/glabels-3.0.desktop
%{_iconsdir}/hicolor/*/*/*.png

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglabels-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglabels-3.0.so.8
%attr(755,root,root) %{_libdir}/libglbarcode-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglbarcode-3.0.so.0
%{_datadir}/libglabels-3.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglabels-3.0.so
%attr(755,root,root) %{_libdir}/libglbarcode-3.0.so
%{_includedir}/libglabels-3.0
%{_includedir}/libglbarcode-3.0
%{_pkgconfigdir}/libglabels-3.0.pc
%{_pkgconfigdir}/libglbarcode-3.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libglabels-3.0.a
%{_libdir}/libglbarcode-3.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libglabels-3.0
%{_gtkdocdir}/libglbarcode-3.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glabels.spec,v $
Revision 1.45  2012/03/30 19:47:47  megabajt
- release 3

Revision 1.44  2011/10/04 19:32:13  baggins
- release 2

Revision 1.43  2011/07/24 15:54:24  megabajt
- updated to 3.0.0
- added -link.patch; removed obsolete -desktop.patch

Revision 1.42  2010/10/06 10:42:06  baggins
- rel 2

Revision 1.41  2010/05/10 17:06:05  megabajt
- updated to 2.2.8
- added -apidocs subpackage
- more verbose files

Revision 1.40  2010/02/17 23:47:39  sparky
- BR: gnome-doc-utils

Revision 1.39  2010/02/17 10:13:35  patrys
- 2.2.6

Revision 1.38  2009/11/27 17:35:34  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.37  2008/01/24 10:24:23  patrys
- 2.2.1

Revision 1.36  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.34  2006/09/20 21:17:05  grzegol
- merged with DEVEL

Revision 1.33  2006/09/02 21:07:26  blues
- 2.1.3 - devel but works really fine

Revision 1.32  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.31  2006/02/08 22:09:55  freetz
- 2.0.4, dropped install patch (obsoleted)

Revision 1.30  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.29.2.2  2005/12/23 14:00:39  freetz
- 2.1.2, drpped install patch, updated BR, cleaned up/updated configure
  options, will be moved to HEAD shortly because of instability of 2.0.x

Revision 1.29.2.1  2005/07/04 18:53:14  freetz
- 2.1.1, docs for libglabes

Revision 1.29  2005/06/27 09:00:15  freetz
- 2.0.3

Revision 1.28  2005/04/12 21:40:10  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.27  2005/04/12 20:24:22  freetz
- cosmetics

Revision 1.26  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.25  2005/04/08 11:24:14  paladine
- bumped BRs
- missing R(post,postun): /sbin/ldconfig
- STBR

Revision 1.24  2005/04/07 19:43:58  freetz
- new style macros, require rpm macros rev.1.197

Revision 1.23  2005/03/20 16:52:42  aflinta
- rebuild with howl-0.9.10, release 2

Revision 1.22  2005/01/25 12:40:15  paladine
- updated to 2.0.2
- added desktop patch
- s/perl -pi/sed -i/
- STBR

Revision 1.21  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.20  2004/09/12 21:20:01  grzegol
- %%post should never fail

Revision 1.19  2004/08/15 16:49:04  aflinta
- up to version 2.0.1

Revision 1.18  2004/08/11 21:26:39  qboosh
- fixed files

Revision 1.17  2004/08/10 22:28:46  grzegol
- added install patch (don't run update-mime-database nor
  update-desktop-database during %%install)
- run update-mime-database in %%post/%%postun
- run /usr/bin/update-desktop-database if present

Revision 1.16  2004/08/10 15:58:15  aflinta
- up to version 2.0.0, removed desktop patch

Revision 1.15  2004/02/22 18:29:16  grzegol
- updated to 1.93.3
- added -libs -devel and -static subpackages
- updated BRs

Revision 1.14  2004/02/01 09:08:22  qboosh
- standardize locale dir names (zh_TW.Big5->zh_TW); release 2

Revision 1.13  2004/01/04 15:57:44  grzegol
- updated to 1.93.2
- removed outdated gnome_2_5 patch

Revision 1.12  2003/12/28 22:40:51  grzegol
- updated to 1.93.1
- added gnome_2_5 patch (fixes building in GNOME 2.5.x)
- run gnome-doc-common to copy missing file

Revision 1.11  2003/11/30 16:12:55  freetz
- 1.93.0
- DESTDIR patch removed (already in sources)

Revision 1.10  2003/11/10 13:33:05  grzegol
- updated to 1.92.3

Revision 1.9  2003/11/02 17:21:13  freetz
- 1.92.2 (fixes problems with batch cli)

Revision 1.8  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.7  2003/10/28 14:12:54  freetz
- 1.92.1
- updated %%files section
- updated .desktop patch

Revision 1.6  2003/09/04 12:14:33  grzegol
- updated to 1.92.0
- removed outdated libgnomeprint_fix and paths patches
- added DESTDIR patch
- simplified %%files

Revision 1.5  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.4  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 18:29:55  qboosh
- BR: ac,am,it,lt

Revision 1.1  2003/05/13 14:26:55  aflinta
- PLD initial release by Fryderyk Dziarmagowski <freetz@gmx.net>
